Page MenuHomePhabricator

Request creation of openrefine VPS project
Closed, ResolvedPublic

Description

Project Name: openrefine

Wikitech Usernames of requestors: User:Lucas Werkmeister (WMDE), User:Pintoch

Purpose: run an instance of OpenRefine

Brief description: OpenRefine (enwiki, license) is a software for cleaning up and working with data, which can be used to prepare data for import into Wikidata (see on-wiki documentation). Resources for a single m1.large image should be enough for now, I would guess.

How soon you are hoping this can be fulfilled: it would be nice to get some version of this up during Wikimedia-Hackathon-2018, but we probably have some things to solve on the OpenRefine side before it can be widely useful to people, so if we don’t make it during the hackathon, perhaps a few weeks?

Related Objects

Event Timeline

bd808 closed this task as Resolved.Jun 1 2018, 10:32 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.

Project created: https://tools.wmflabs.org/openstack-browser/project/openrefine

When you build your instance, don't forget to enable the role::labs::lvm::srv Puppet role to provision the extra disk space beyond the basic 18G root partition.

Vvjjkkii renamed this task from Request creation of openrefine VPS project to ytcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed bd808 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
1997kB renamed this task from ytcaaaaaaa to Request creation of openrefine VPS project.Jul 1 2018, 2:27 AM
1997kB closed this task as Resolved.
1997kB assigned this task to bd808.
1997kB updated the task description. (Show Details)
1997kB added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 5 2018, 6:43 PM
CommunityTechBot updated the task description. (Show Details)